Loading...
Searching...
No Matches
reflections.h File Reference
`#include "ap.h"`
`#include "amp.h"`

Go to the source code of this file.

## Namespaces

namespace | reflections

## Functions

template<unsigned int Precision>
void | reflections::generatereflection (ap::template_1d_array< amp::ampf< Precision > > &x, int n, amp::ampf< Precision > &tau)
template<unsigned int Precision>
void | reflections::applyreflectionfromtheleft (ap::template_2d_array< amp::ampf< Precision > > &c, amp::ampf< Precision > tau, const ap::template_1d_array< amp::ampf< Precision > > &v, int m1, int m2, int n1, int n2, ap::template_1d_array< amp::ampf< Precision > > &work)
template<unsigned int Precision>
void | reflections::applyreflectionfromtheright (ap::template_2d_array< amp::ampf< Precision > > &c, amp::ampf< Precision > tau, const ap::template_1d_array< amp::ampf< Precision > > &v, int m1, int m2, int n1, int n2, ap::template_1d_array< amp::ampf< Precision > > &work)